Skip to main content
PATCH
/
v1
/
customers
/
{id}
Atualizar cliente
curl --request PATCH \
  --url https://api-payment.safefypay.com.br/v1/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Joao Silva Santos",
  "phone": "5511999997777"
}
'
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "externalId": "cliente_123",
    "name": "Joao Silva Santos",
    "email": "joao@email.com",
    "document": "123.456.789-00",
    "documentType": "CPF",
    "phone": "5511999997777",
    "status": "Active",
    "metadata": null,
    "address": null,
    "createdAt": "2025-01-15T15:00:00Z"
  },
  "message": "Cliente atualizado com sucesso.",
  "error": null
}

Documentation Index

Fetch the complete documentation index at: https://docs.safefypay.com.br/llms.txt

Use this file to discover all available pages before exploring further.

Updates an existing customer. All fields are optional only provide the fields you want to change.

Authorizations

Authorization
string
header
required

Token JWT obtido via /v1/auth/token

Path Parameters

id
string<uuid>
required

ID do cliente

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
name
string | null

Nome do cliente

Example:

"Joao Silva Santos"

email
string | null

E-mail do cliente

Example:

"joao.santos@email.com"

document
string | null

CPF ou CNPJ

Example:

"12345678900"

documentType
enum<string> | null

Tipo do documento

Available options:
CPF,
CNPJ
Example:

"CPF"

phone
string | null

Telefone com codigo do pais. Aceita com ou sem '+' no envio e e salvo apenas com digitos.

Example:

"5511999997777"

status
enum<string> | null

Status do cliente

Available options:
Active,
Inactive
Example:

"Active"

metadata
string | null

Metadados em JSON

Example:

null

Response

Cliente atualizado

data
object
message
string | null
error
object